#!BuildIgnore:          post-build-checks
# norootforbuild

%define name       faad2
%define version    2.7
%define release    15
%define major      2
%define oldversion 2.6.1
%define oldmajor   0
%define lib        libfaad
%define libname    %{lib}%{major}
%define oldlibname %{lib}%{oldmajor}
%define libmp4ff   libmp4ff%{oldmajor}

Name:           %{name}
Version:        %{version}
Release:        19.12
Summary:        C library and frontend for decoding MPEG2/4 AAC
Summary(de):    C Bibliothek und Frontend zum Decodieren von MPEG2/4 AAC
License:        GPL v2 or later
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://www.audiocoding.com/

Source0:        faad2-2.7.tar.bz2
Source1:        faad2-2.6.1.tar.bz2

Patch0:         faad2-libmp4ff.patch
Patch1:         faad2-main_overflow.diff
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}
Requires:       %{libname} = %{version}-%{release}
Requires:       libmp4v2
BuildRequires:  libmp4v2-devel
BuildRequires:  glibc-devel
BuildRequires:  libogg-devel
BuildRequires:  xmms-devel
BuildRequires:  id3lib-devel
BuildRequires:  gcc-c++
BuildRequires:  SDL-devel
%if 0%{?suse_version} < 1000 && 0%{?suse_version} > 0
BuildRequires:  glib
BuildRequires:  glib-devel
BuildRequires:  gtk
BuildRequires:  gtk-devel
%endif
#Obsoletes:      faad2-drm
#Provides:       faad2-drm

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch. FAAD 2 is licensed under the GPL.

%description -l de
FAAD 2 ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Decoder.


%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of faad2
Summary(de):    Bibliotheken zu faad2
Provides:       %{lib} = %{version}-%{release}
Provides:       libfaad2_2 = %{version}-%{release}
Obsoletes:      libfaad2_2 < %{version}-%{release}
Provides:       libfaad-2 = %{version}-%{release}
Obsoletes:      libfaad-2 < %{version}-%{release}

%description -n %{libname}
Shared library part of faad2

%description -n %{libname} -l de
Bibliotheken zu faad2

%package -n %{oldlibname}
Group:          System/Libraries
Summary:        Shared library part of faad2
Summary(de):    Bibliotheken zu faad2
Provides:       %{lib} = %{version}-%{release}
Provides:       libfaad2_0 = %{version}-%{release}
Obsoletes:      libfaad2_0 < %{version}-%{release}
Provides:       libfaad-0 = %{version}-%{release}
Obsoletes:      libfaad-0 < %{version}-%{release}

%description -n %{oldlibname}
Shared library part of faad2

%description -n %{oldlibname} -l de
Bibliotheken zu faad2

%package -n %{libmp4ff}
Group:          System/Libraries
Summary:        Shared library libmp4ff
Summary(de):    Bibliotheken libmp4ff
Provides:       libmp4ff = %{version}-%{release}

%description -n %{libmp4ff}
Shared library libmp4ff

%description -n %{libmp4ff} -l de
Bibliotheken libmp4ff

%package -n %{lib}-devel
Summary:        Development files of the FAAD 2 AAC decoder.
Summary(de):    Entwicklerdateien des FAAD 2 AAC Dekoders.
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}-%{release}
Requires:       libmp4v2-devel
Obsoletes:      libfaad2-devel < %{version}-%{release}
Provides:       libfaad2-devel = %{version}-%{release}
Obsoletes:      faad2-devel < %{version}-%{release}
Provides:       faad2-devel = %{version}-%{release}
Obsoletes:      faad2-drm-devel < %{version}-%{release}
Provides:       faad2-drm-devel = %{version}-%{release}

%description -n %{lib}-devel
Header files and development documentation for libfaad.

%description -n %{lib}-devel -l de
Header-Dateien und Entwicklerdokumtation zur libfaad.


%package        xmms-plugin
Summary:        faad2 Xmms input plugin
Summary(de):    faad2 Xmms input plugin
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{libname} = %{version}-%{release}
Requires:       xmms >= 1.2.8

%description xmms-plugin
The plugin read aac files with and without ID3tag(version 2.x), AAC files
are MPEG2 or MPEG4 files that could be found in MPEG4 audio files (.mp4).

%description -l de xmms-plugin
Das plugin liest AAC Dateien für xmms.

%debug_package

%prep
%setup -qn faad2-%{version} -b 1
cd ../faad2
%patch0
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%{__mkdir_p} plugins/bmp
autoreconf -vif
%if 0%{?suse_version}
%suse_update_libdir plugins/xmms/src/Makefile.am
%endif
%configure --with-xmms --with-pic
%{__make} %{?jobs:-j%{jobs}}

cd ../faad2
export CFLAGS="$RPM_OPT_FLAGS"
%{__mkdir_p} plugins/bmp
%if 0%{?suse_version} >= 1100
%__sed -i -e "s|dnl AC_PROG_CXX|AC_PROG_CXX|g" configure.in
%endif
autoreconf -vif
%if 0%{?suse_version}
%suse_update_libdir plugins/xmms/src/Makefile.am
%endif
%configure
%{__make} %{?jobs:-j%{jobs}}


%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
cd ../faad2
%__make DESTDIR=%{buildroot} install
cd -
%__make DESTDIR=%{buildroot} install
%{__install} -m 644 common/mp4ff/mp4ff.h %{buildroot}%{_includedir}/
%{__install} -m 644 common/mp4ff/mp4ff_int_types.h %{buildroot}%{_includedir}/

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{oldlibname} -p /sbin/ldconfig
%postun -n %{oldlibname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_mandir}/manm/faad.man.gz

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libfaad.so.%{major}*

%files -n %{oldlibname}
%defattr(-,root,root)
%{_libdir}/libfaad.so.%{oldmajor}*

%files -n %{libmp4ff}
%defattr(-,root,root)
%{_libdir}/libmp4ff.so.%{oldmajor}*

%files -n %{lib}-devel
%defattr(-, root, root)
%{_libdir}/*.*a
%{_libdir}/*.so
%{_includedir}/*

%files xmms-plugin
%defattr(-, root, root)
%doc plugins/xmms/README
%{_libdir}/xmms/Input/libmp4*

%changelog
* Mon Jun 29 2009 Carsten Schoene <cs@linux-administrator.com> - 2.7.0-15
- import for SLE_11 build
